Page Summary
-
Greetings are deprecated and users should migrate away from the APIs.
-
When updating a list field, the entire list must be included in the update request.
-
The HTTP request to update a greeting uses a PATCH method and a specific URL structure.
-
The
greeting.namepath parameter identifies the specific greeting to be updated. -
The
updateMaskquery parameter specifies which fields of the greeting are being updated.
Deprecated: Greetings are deprecated. Please migrate away from the APIs. Updates the information about a greeting.
HTTP request
PATCH https://businesscommunications.googleapis.com/v1/{greeting.name=brands/*/agents/*/greetings/*}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
greeting.name |
Output only. The name of the greeting, as set by Business Messages. Resolves to "brands/{brand_id}/agents/{agent_id}/greetings/{greeting_id}" where {greeting_id} is the unique ID of the greeting. |
Query parameters
| Parameters | |
|---|---|
updateMask |
The update mask applies to the resource. For the FieldMask definition, see https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#fieldmask This is a comma-separated list of fully qualified names of fields. Example: |
Request body
The request body contains an instance of Greeting.
Response body
If successful, the response body contains an instance of Greeting.